public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-emulation/libguestfs/
Date: Sun, 02 Mar 2025 22:55:30 +0000 (UTC)	[thread overview]
Message-ID: <1740956045.032731307efb9bc3dcff4e20cdec44aba3a2d28a.sam@gentoo> (raw)

commit:     032731307efb9bc3dcff4e20cdec44aba3a2d28a
Author:     Christopher Byrne <salah.coronya <AT> gmail <DOT> com>
AuthorDate: Sun Mar  2 06:47:26 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Mar  2 22:54:05 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=03273130

app-emulation/libguestfs: add 1.55.6

Signed-off-by: Christopher Byrne <salah.coronya <AT> gmail.com>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-emulation/libguestfs/Manifest                 |   1 +
 app-emulation/libguestfs/libguestfs-1.55.6.ebuild | 233 ++++++++++++++++++++++
 2 files changed, 234 insertions(+)

diff --git a/app-emulation/libguestfs/Manifest b/app-emulation/libguestfs/Manifest
index a5111bff675e..ada16734b743 100644
--- a/app-emulation/libguestfs/Manifest
+++ b/app-emulation/libguestfs/Manifest
@@ -1,3 +1,4 @@
 DIST libguestfs-1.48.6.tar.gz 19179600 BLAKE2B 22359ed4b55e29f985dbbbc4f0337eaec32f21a1413bd778656c3f0270891bec520a0b9590e104836eaf9367aeb9ac681b0bf85852fb7a2059da3f7062bc5111 SHA512 7d929db183fbb1d4d1c9159f28871ab4f1bd0be5b3d9fbc5137271666f50c067fd0906674cb1a52c1e070c11a18da4d2aa11bc64ddabda5cac54e72252c6abf2
 DIST libguestfs-1.54.1.tar.gz 19023492 BLAKE2B 13fe3a536ec04901a69192ecc9fefe055099d057ba3609bd1ec51b8853e5ad50fd608ef4de7d6296f9bf53a19c1bc81f2ae54c185c18c6e68f7a541f34222f93 SHA512 0113ea1cd26aba9b935b65299cf34d53c3d669508238d642a1a97622eb24948df05b55072d4c715cacb4fdfc7339c69ca25f65ca51ac87c40c5325175e939a0d
 DIST libguestfs-1.55.5.tar.gz 19020798 BLAKE2B 7e4d6ec57a6c5487f6285f8ec2023758908b9c73cbfd540310136a89b84fdf6622e36976f3a2b53ab4d7965d26d36545d9eb78ba07e164cbfcf970458fafce5c SHA512 01b08e0c72cb52c643406767b611599f2de776deea5927518f7dbceb590195655e4313fd17ce0f9d1a54bb8847943dcf816f6b63c17b570ce1a0bc68a5cf4381
+DIST libguestfs-1.55.6.tar.gz 19024544 BLAKE2B 4cc75509bce20706bbbebe926f475d616752b281feb33c181796cf4cffaa140791f006629eca26626e3805fcac5196ec5217aacba993dfd20f1f7e73d05d13de SHA512 3dba2f8c2086024674375d054a214d34a028345e2f32cf439de38dfe2815ab2cc6cc64cff58b59ed2f38712006e1563fdf58713ccecfe155b7542742a4ee5104

diff --git a/app-emulation/libguestfs/libguestfs-1.55.6.ebuild b/app-emulation/libguestfs/libguestfs-1.55.6.ebuild
new file mode 100644
index 000000000000..ed5fc75c2271
--- /dev/null
+++ b/app-emulation/libguestfs/libguestfs-1.55.6.ebuild
@@ -0,0 +1,233 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..13} )
+USE_RUBY=( ruby3{1..3} )
+LUA_COMPAT=( lua5-{1..4} luajit )
+
+inherit autotools bash-completion-r1 linux-info lua-single perl-functions\
+		python-single-r1 ruby-single toolchain-funcs vala
+
+MY_PV_1="$(ver_cut 1-2)"
+MY_PV_2="$(ver_cut 2)"
+[[ $(( ${MY_PV_2} % 2 )) -eq 0 ]] && SD="stable" || SD="development"
+
+DESCRIPTION="Tools for accessing, inspecting, and modifying virtual machine (VM) disk images"
+HOMEPAGE="https://libguestfs.org/"
+SRC_URI="https://download.libguestfs.org/${MY_PV_1}-${SD}/${P}.tar.gz"
+
+LICENSE="GPL-2 LGPL-2"
+SLOT="0/${MY_PV_1}"
+if [[ ${SD} == "stable" ]] ; then
+	KEYWORDS="~amd64 ~ppc64 ~x86"
+fi
+
+IUSE="doc erlang +fuse introspection libvirt lua +ocaml +perl python readline ruby selinux static-libs test vala"
+
+REQUIRED_USE="
+	lua? ( ${LUA_REQUIRED_USE} )
+	python? ( ${PYTHON_REQUIRED_USE} )
+	vala? ( introspection )
+"
+
+RESTRICT="!test? ( test )"
+
+# Not part of the system profile, but dependenices of it with base USE flags
+COMMON_DEPEND_DEFAULT="
+	app-arch/xz-utils
+	app-arch/zstd
+	dev-libs/libpcre2:=
+	dev-libs/libxml2
+	net-libs/libtirpc:=
+	sys-libs/libcap-ng
+	sys-libs/ncurses:=
+	sys-libs/readline:=
+	virtual/acl
+	virtual/libcrypt
+"
+# Won't compile without it
+COMMON_DEPEND_EXPLICIT="
+	app-admin/augeas
+	app-alternatives/cpio
+	app-emulation/qemu[qemu_softmmu_targets_x86_64,selinux?]
+	app-misc/hivex[ocaml?]
+	dev-libs/json-c:=
+	|| (
+		dev-libs/libisoburn
+		app-cdr/cdrtools
+	)
+"
+# "Automagic" dependencies
+COMMON_DEPEND_IMPLICIT="
+	dev-libs/libconfig:=
+	media-gfx/icoutils
+	media-libs/netpbm[png]
+"
+# Sum of the above + conditional dependencies
+COMMON_DEPEND="
+	${COMMON_DEPEND_DEFAULT}
+	${COMMON_DEPEND_EXPLICIT}
+	${COMMON_DEPEND_IMPLICIT}
+	erlang? ( dev-lang/erlang )
+	fuse? ( sys-fs/fuse:0 )
+	introspection? (
+		dev-libs/glib
+		dev-libs/gobject-introspection
+	)
+	libvirt? ( app-emulation/libvirt[qemu] )
+	perl? (
+		dev-perl/libintl-perl
+		virtual/perl-Getopt-Long
+	)
+	python? ( ${PYTHON_DEPS} )
+	readline? ( sys-libs/readline )
+	ruby? ( ${RUBY_DEPS} )
+	selinux? ( sys-libs/libselinux )
+	vala? ( $(vala_depend) )
+"
+# Some OCaml is always required
+# Bug #729674
+DEPEND="
+	${COMMON_DEPEND}
+	dev-lang/ocaml:=[ocamlopt]
+	dev-ml/findlib[ocamlopt]
+	dev-util/gperf
+"
+RDEPEND="
+	${COMMON_DEPEND}
+	app-emulation/libguestfs-appliance
+"
+BDEPEND="
+	sys-devel/bison
+	sys-devel/flex
+	sys-devel/gettext
+	virtual/pkgconfig
+	doc? ( app-text/po4a )
+	lua? ( ${LUA_DEPS} )
+	perl? (
+		dev-perl/Module-Build
+		virtual/perl-ExtUtils-CBuilder
+		virtual/perl-Pod-Simple
+	)
+	test? (
+		introspection? ( dev-libs/gjs )
+		ocaml? ( dev-ml/ounit2[ocamlopt] )
+	)
+"
+
+PATCHES=(
+	"${FILESDIR}/${PN}-1.52.1-disable-obsolete-lvmetad-in-tests.patch"
+)
+
+src_prepare() {
+	cat <<EOF > "${S}/m4/guestfs-bash-completion.m4" || die
+dnl Unconditionally install Bash completion files
+AC_MSG_CHECKING([for bash-completions directory])
+AC_SUBST([BASH_COMPLETIONS_DIR],[$(get_bashcompdir)])
+AC_MSG_RESULT([\$BASH_COMPLETIONS_DIR])
+AM_CONDITIONAL([HAVE_BASH_COMPLETION],[/bin/true])
+EOF
+
+	default
+	eautoreconf
+}
+
+pkg_setup() {
+	CONFIG_CHECK="~KVM ~VIRTIO"
+	[[ -n "${CONFIG_CHECK}" ]] && check_extra_config
+
+	use lua && lua-single_pkg_setup
+	use python && python-single-r1_pkg_setup
+}
+
+src_configure() {
+	# Bug #794877
+	tc-export AR
+
+	# m4/guestfs-progs.m4: (f)lex and bison for virt-builder (required).
+	# Bug #915339
+	unset LEX YACC
+
+	local myconf=(
+		--disable-appliance
+		--disable-daemon
+		--disable-haskell
+		--disable-golang
+		--disable-rust
+		$(use_enable ocaml)
+		--disable-php
+		--without-java
+		$(use_enable lua)
+		$(use_enable erlang)
+		$(use_enable vala)
+		$(usex doc '' PO4A=no)
+		--with-extra="-gentoo"
+		$(use_with readline)
+		$(use_enable ruby)
+		$(use_enable fuse)
+		$(use_enable introspection gobject)
+		$(use_enable introspection)
+		$(use_with libvirt)
+		--with-default-backend=$(usex libvirt libvirt direct)
+		$(use_enable perl)
+		$(use_enable python)
+		$(use_enable static-libs static)
+	)
+
+	# Avoid automagic SELinux dependency
+	local -x ac_cv_header_selinux_selinux_h
+
+	if use selinux &&  use !libvirt; then
+		ewarn "USE=selinux has no effect without USE=libvirt"
+		ac_cv_header_selinux_selinux_h="no"
+	else
+		ac_cv_header_selinux_selinux_h=$(usex selinux)
+	fi
+
+	use vala && vala_setup
+
+	econf "${myconf[@]}"
+}
+
+src_install() {
+	emake INSTALLDIRS=vendor DESTDIR="${D}" install "LINGUAS=""${LINGUAS}"""
+
+	find "${ED}" -name '*.la' -delete || die
+
+	use perl && perl_delete_localpod
+	use python && python_optimize
+}
+
+src_test() {
+	# app-shells/bash-completion may not be installed
+	# Bug #794874
+	local -x SKIP_TEST_COMPLETE_IN_SCRIPT_SH=1
+	# Upstream doesn't ship the test data
+	local -x SKIP_TEST_JOURNAL_PL=1
+	local -x SKIP_TEST_MOUNTABLE_INSPECT_SH=1
+	# Sandbox interferes with tests
+	local -x SKIP_TEST_BIG_HEAP=1
+	local -x SKIP_TEST_SELINUX_XATTRS_FUSE=1
+	local -x SKIP_TEST_GUESTUNMOUNT_FD=1
+	# Doesn't work correctly when --without-daemon is specified
+	local -x SKIP_TEST_NOEXEC_STACK_PL=1
+	# Loongarch failures. guestfs_get_architechture returns something other than what's expected
+	local -x SKIP_TEST_FILE_ARCHITECTURE_6=1
+	local -x SKIP_TEST_FILE_ARCHITECTURE_18=1
+	# Upstream appliance not built with sys-apps/file[zstd,-seccomp].
+	local -x SKIP_TEST_FILE_ARCHITECTURE_28=1
+	# guestfs_part_get_gpt_attributes should return 0x3000000000005, but only returns 0x5 for some reaosn.
+	local -x SKIP_TEST_PART_GET_GPT_ATTRIBUTES_0=1
+	# Not yet supported by binary appliance 1.54.0
+	local -x SKIP_TEST_LARGE_COMMAND_SH=1
+	# Socket pathname too long for libvirt backend
+	local -x LIBGUESTFS_BACKEND=direct
+
+	# Increase vebosity
+	local -x LIBGUESTFS_DEBUG=1
+	local -x LIBGUESTFS_TRACE=1
+
+	default
+}


             reply	other threads:[~2025-03-02 22:55 UTC|newest]

Thread overview: 67+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2025-03-02 22:55 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-14 13:16 [gentoo-commits] repo/gentoo:master commit in: app-emulation/libguestfs/ Alfredo Tupone
2025-03-02 22:55 Sam James
2025-03-02 22:55 Sam James
2025-02-20  9:16 Joonas Niilola
2025-02-20  9:16 Joonas Niilola
2025-02-20  9:16 Joonas Niilola
2025-02-20  9:16 Joonas Niilola
2024-06-19 10:33 Pacho Ramos
2024-04-28  1:01 Sam James
2024-04-24 13:47 Sam James
2023-12-02 10:56 Arthur Zamarin
2023-10-08  2:12 Sam James
2023-10-08  1:58 Sam James
2023-10-08  1:58 Sam James
2023-10-07 13:41 Joonas Niilola
2023-10-07 13:41 Joonas Niilola
2023-04-10 19:57 Sven Wegener
2023-04-10 19:57 Sven Wegener
2023-04-10 19:57 Sven Wegener
2022-12-05 19:00 Arthur Zamarin
2022-07-28 14:09 Sam James
2022-07-13  4:32 Sam James
2022-05-31  8:43 Sam James
2022-04-10 10:01 Sam James
2022-04-10 10:01 Sam James
2022-04-10 10:01 Sam James
2022-04-10 10:01 Sam James
2022-03-06  9:18 Sam James
2021-10-31 19:21 Sam James
2021-10-24 20:24 Sam James
2021-10-22  2:47 Sam James
2021-10-08  1:53 Sam James
2021-10-07  6:12 Sam James
2021-10-07  6:11 Sam James
2021-10-02 21:41 Sam James
2021-06-30 10:15 Ulrich Müller
2021-06-18 22:51 Sam James
2021-06-18 22:51 Sam James
2021-06-08  8:54 Sam James
2021-06-08  8:54 Sam James
2021-06-08  6:55 Sam James
2021-03-13 16:14 Sam James
2021-03-13 16:14 Sam James
2021-03-13 16:14 Sam James
2021-02-11 20:33 Conrad Kostecki
2021-01-27  3:55 Sam James
2021-01-22 19:50 Sam James
2021-01-22  4:57 Sam James
2021-01-22  3:34 Sam James
2021-01-15 17:05 Michał Górny
2021-01-02  1:43 Sam James
2021-01-02  0:35 Sam James
2020-12-18  9:00 Michał Górny
2020-12-09 12:12 Marek Szuba
2020-12-03 22:58 Marek Szuba
2019-11-08 13:25 Andreas K. Hüttel
2018-12-07 13:02 Gilles Dartiguelongue
2018-06-27 17:15 Pacho Ramos
2018-05-25 19:11 Aaron Bauman
2018-04-02 17:50 Gilles Dartiguelongue
2018-02-07 22:39 Gilles Dartiguelongue
2017-12-03 21:35 Matt Thode
2017-09-03 22:47 Gilles Dartiguelongue
2017-08-12  5:16 Matt Thode
2017-07-19 20:10 Ian Stakenvicius
2016-10-02  9:25 Pacho Ramos

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1740956045.032731307efb9bc3dcff4e20cdec44aba3a2d28a.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox